org.apache.lucene.queries.function.valuesource

## Class BoolFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.BoolFunction

Direct Known Subclasses:
  IfFunction, MultiBoolFunction, SimpleBoolFunction

    public abstract class BoolFunction
    extends ValueSource

Abstract parent class for those `ValueSource` implementations which apply boolean logic to their values

### Constructor Summary

Constructors
Constructor and Description
`BoolFunction()`

### Method Summary

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`createWeight, description, equals, getSortField, getValues, hashCode, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoolFunction

    public BoolFunction()